Bug 113663 - Mutiple problems calling printf
Summary: Mutiple problems calling printf
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ckermit   
(Show other bugs)
Version: 1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-16 09:52 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-20 01:19:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-01-16 09:52:39 UTC
Description of problem:

I just tried to compile package ckermit-8.0.209-4, from Redhat
Fedora Core 1.

The compiler said

1.

ckcnet.c:12142: warning: too many arguments for format

The source code is

    sprintf(buf,"Content-length: %d\r\n",filelen,len);

I'm not sure if variable "len" is not required, or there is a
missing % specifier in the format string.

2.

ckcnet.c:12680: warning: too many arguments for format

Source code

    sprintf(buf,"Content-length: %d\r\n",filelen,len);

Seems like a duplicate problem.

3.

ckuus7.c(2972): warning #267: the format string requires additional
arguments

The source code is

    sprintf(buf,"Content-length: %d\r\n",filelen,len);

More printf style problems.

4.

ck_ssl.c(236): warning #267: the format string requires additional
arguments
ck_ssl.c(237): warning #267: the format string requires additional
arguments

The source code is

        printf("[%d] Certificate Subject:\r\n%s\r\n",subject);
        printf("[%d] Certificate Issuer:\r\n%s\r\n",issuer);

Yet more printf style problems.

Suggest compile entire package with flag -Wall or -Wformat
to prevent these probkems happening in the future.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jeff Johnson 2004-01-20 01:19:22 UTC
Fixed in ckermit-8.0.209-5, thanks for noticing.


Note You need to log in before you can comment on or make changes to this bug.